%define		libfilezillaver	0.14.0
Summary:	FTP client for X Window
Summary(es.UTF-8):	Cliente FTP para el X Window
Summary(ja.UTF-8):	X Window System 用マルチスレッド FTP クライアント
Summary(pl.UTF-8):	Klient FTP dla X Window
Summary(pt_BR.UTF-8):	Cliente FTP para o X Window
Summary(ru.UTF-8):	FTP клиент для X Window
Summary(uk.UTF-8):	FTP клієнт для X Window
Name:		FileZilla
Version:	3.37.4
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	https://download.filezilla-project.org/client/%{name}_%{version}_src.tar.bz2
# Source0-md5:	0c8d36d6f8d3445c28583339eaea2618
Patch0:		%{name}-desktop.patch
URL:		http://filezilla-project.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6
BuildRequires:	cppunit-devel >= 1.10.2
BuildRequires:	dbus-devel >= 1.2
BuildRequires:	gettext-tools >= 0.11.0
BuildRequires:	gnutls-devel >= 3.4.15
BuildRequires:	gtk+2-devel
BuildRequires:	libfilezilla-devel >= %{libfilezillaver}
BuildRequires:	libidn-devel
# -std=c++14
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	libtool >= 2:2
BuildRequires:	nettle-devel >= 3.1
BuildRequires:	pkgconfig
BuildRequires:	pugixml-devel >= 1.6-2
BuildRequires:	sqlite3-devel >= 3.7
BuildRequires:	wxGTK2-unicode-devel >= 3.0.3
BuildRequires:	wxWidgets-devel >= 3.0.3
BuildRequires:	wxWidgets-utils >= 3.0.3
BuildRequires:	xdg-utils
Requires:	dbus-libs >= 1.2
Requires:	gnutls-libs >= 3.4.15
Requires:	libfilezilla >= %{libfilezillaver}
Requires:	nettle >= 3.1
Requires:	pugixml >= 1.6-2
Requires:	wxGTK2-unicode >= 3.0.3
Provides:	filezilla
Obsoletes:	filezilla
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FileZilla is a fast and reliable FTP client with lots of useful
features and an intuitive interface.

%description -l pl.UTF-8
FileZilla to szybki i wiarygodny klient FTP z wieloma przydatnymi
opcjami oraz intuicyjnym interfejsem.

%prep
%setup -q -n filezilla-%{version}
%patch0 -p1

cd locales
%{__mv} bg{_BG,}.po
%{__mv} ca{_ES,}@valencia.po
%{__mv} cs{_CZ,}.po
%{__mv} fa{_IR,}.po
%{__mv} fi{_FI,}.po
%{__mv} gl{_ES,}.po
%{__mv} he{_IL,}.po
%{__mv} hu{_HU,}.po
%{__mv} id{_ID,}.po
%{__mv} ja{_JP,}.po
%{__mv} km{_KH,}.po
%{__mv} ko{_KR,}.po
%{__mv} lo{_LA,}.po
%{__mv} lt{_LT,}.po
%{__mv} lv{_LV,}.po
%{__mv} mk{_MK,}.po
%{__mv} nb{_NO,}.po
%{__mv} nn{_NO,}.po
%{__mv} pl{_PL,}.po
%{__mv} pt{_PT,}.po
%{__mv} ro{_RO,}.po
%{__mv} sk{_SK,}.po
%{__mv} sl{_SI,}.po
%{__mv} th{_TH,}.po
%{__mv} uk{_UA,}.po
%{__mv} vi{_VN,}.po

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	xdgopen=/usr/bin/xdg-open \
	--disable-precomp \
	--with-wx-config=wx-gtk2-unicode-config \
	--with-tinyxml=builtin
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not supported by glibc (as of 2.25)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{co,kab}

# Remove oversized icons
%{__rm} -r $RPM_BUILD_ROOT%{_iconsdir}/hicolor/480x480

%find_lang filezilla

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filezilla.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/filezilla
%attr(755,root,root) %{_bindir}/fzsftp
%attr(755,root,root) %{_bindir}/fzputtygen
%{_datadir}/appdata/filezilla.appdata.xml
%dir %{_datadir}/filezilla
%dir %{_datadir}/filezilla/docs
%{_datadir}/filezilla/docs/*
%dir %{_datadir}/filezilla/resources
%{_datadir}/filezilla/resources/*.wav
%{_datadir}/filezilla/resources/*.xml
%dir %{_datadir}/filezilla/resources/xrc
%{_datadir}/filezilla/resources/xrc/*.xrc
%dir %{_datadir}/filezilla/resources/16x16
%{_datadir}/filezilla/resources/16x16/*.gif
%{_datadir}/filezilla/resources/16x16/*.png
%dir %{_datadir}/filezilla/resources/20x20
%{_datadir}/filezilla/resources/20x20/*.png
%dir %{_datadir}/filezilla/resources/24x24
%{_datadir}/filezilla/resources/24x24/*.png
%dir %{_datadir}/filezilla/resources/32x32
%{_datadir}/filezilla/resources/32x32/*.png
%dir %{_datadir}/filezilla/resources/48x48
%{_datadir}/filezilla/resources/48x48/*.png
%dir %{_datadir}/filezilla/resources/blukis
%{_datadir}/filezilla/resources/blukis/theme.xml
%dir %{_datadir}/filezilla/resources/blukis/16x16
%{_datadir}/filezilla/resources/blukis/16x16/*.png
%dir %{_datadir}/filezilla/resources/blukis/32x32
%{_datadir}/filezilla/resources/blukis/32x32/*.png
%dir %{_datadir}/filezilla/resources/blukis/48x48
%{_datadir}/filezilla/resources/blukis/48x48/*.png
%dir %{_datadir}/filezilla/resources/cyril
%{_datadir}/filezilla/resources/cyril/theme.xml
%dir %{_datadir}/filezilla/resources/cyril/16x16
%{_datadir}/filezilla/resources/cyril/16x16/*.png
%dir %{_datadir}/filezilla/resources/flatzilla
%dir %{_datadir}/filezilla/resources/flatzilla/16x16
%{_datadir}/filezilla/resources/flatzilla/16x16/*.png
%dir %{_datadir}/filezilla/resources/flatzilla/24x24
%{_datadir}/filezilla/resources/flatzilla/24x24/*.png
%dir %{_datadir}/filezilla/resources/flatzilla/32x32
%{_datadir}/filezilla/resources/flatzilla/32x32/*.png
%dir %{_datadir}/filezilla/resources/flatzilla/48x48
%{_datadir}/filezilla/resources/flatzilla/48x48/*.png
%{_datadir}/filezilla/resources/flatzilla/theme.xml
%dir %{_datadir}/filezilla/resources/lone
%{_datadir}/filezilla/resources/lone/theme.xml
%dir %{_datadir}/filezilla/resources/lone/16x16
%{_datadir}/filezilla/resources/lone/16x16/*.png
%dir %{_datadir}/filezilla/resources/lone/32x32
%{_datadir}/filezilla/resources/lone/32x32/*.png
%dir %{_datadir}/filezilla/resources/lone/48x48
%{_datadir}/filezilla/resources/lone/48x48/*.png
%dir %{_datadir}/filezilla/resources/minimal
%{_datadir}/filezilla/resources/minimal/theme.xml
%dir %{_datadir}/filezilla/resources/minimal/16x16
%{_datadir}/filezilla/resources/minimal/16x16/*.png
%dir %{_datadir}/filezilla/resources/minimal/32x32
%{_datadir}/filezilla/resources/minimal/32x32/file.png
%dir %{_datadir}/filezilla/resources/opencrystal
%{_datadir}/filezilla/resources/opencrystal/theme.xml
%dir %{_datadir}/filezilla/resources/opencrystal/16x16
%{_datadir}/filezilla/resources/opencrystal/16x16/*.png
%dir %{_datadir}/filezilla/resources/opencrystal/20x20
%{_datadir}/filezilla/resources/opencrystal/20x20/*.png
%dir %{_datadir}/filezilla/resources/opencrystal/24x24
%{_datadir}/filezilla/resources/opencrystal/24x24/*.png
%dir %{_datadir}/filezilla/resources/opencrystal/32x32
%{_datadir}/filezilla/resources/opencrystal/32x32/*.png
%dir %{_datadir}/filezilla/resources/opencrystal/48x48
%{_datadir}/filezilla/resources/opencrystal/48x48/*.png
%dir %{_datadir}/filezilla/resources/sun
%dir %{_datadir}/filezilla/resources/sun/48x48
%{_datadir}/filezilla/resources/sun/48x48/*.png
%{_datadir}/filezilla/resources/sun/theme.xml
%dir %{_datadir}/filezilla/resources/tango
%dir %{_datadir}/filezilla/resources/tango/16x16
%{_datadir}/filezilla/resources/tango/16x16/*.png
%dir %{_datadir}/filezilla/resources/tango/32x32
%{_datadir}/filezilla/resources/tango/32x32/*.png
%dir %{_datadir}/filezilla/resources/tango/48x48
%{_datadir}/filezilla/resources/tango/48x48/*.png
%{_datadir}/filezilla/resources/tango/theme.xml
%dir %{_datadir}/filezilla/resources/480x480
%{_datadir}/filezilla/resources/480x480/*.png
%dir %{_datadir}/filezilla/resources/classic
%dir %{_datadir}/filezilla/resources/classic/16x16
%{_datadir}/filezilla/resources/classic/16x16/*.png
%{_datadir}/filezilla/resources/classic/theme.xml
%dir %{_datadir}/filezilla/resources/default
%dir %{_datadir}/filezilla/resources/default/480x480
%{_datadir}/filezilla/resources/default/480x480/*.png
%{_datadir}/filezilla/resources/default/theme.xml
%{_iconsdir}/hicolor/*x*/apps/filezilla.png
%{_iconsdir}/hicolor/scalable/apps/filezilla.svg
%{_desktopdir}/filezilla.desktop
%{_pixmapsdir}/filezilla.png
%{_mandir}/man1/filezilla.1*
%{_mandir}/man1/fzputtygen.1*
%{_mandir}/man1/fzsftp.1*
%{_mandir}/man5/fzdefaults.xml.5*
%changelog
* Tue Nov 20 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/FileZilla.git;a=log;h=master

* Mon Oct 08 2018 Adam Gołębiowski <adamg@pld-linux.org> 581f74e
- updated to 3.37.4

* Wed Jul 25 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 78254bb
- up to 3.35.1

* Tue May 08 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 636e061
- updated to 3.33.0

* Fri Apr 13 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 7cda568
- source url changed
- updated to 3.32.0

* Thu Apr 12 2018 Jan Rękorajski <baggins@pld-linux.org> 0eeb139
- disable precompiled headers beacuse of broken Makefile
- rel 2

* Sat Mar 03 2018 Jan Rękorajski <baggins@pld-linux.org> 50bff43
- Revert "- update md5", sourceforge broken ATN

* Sat Mar 03 2018 Jan Rękorajski <baggins@pld-linux.org> 5d93ad9
- update md5

* Fri Mar 02 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 4b02842
- updated to 3.31.0

* Fri Oct 06 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 2e7c940
- updated to 3.28.0

* Wed Aug 16 2017 Witold Filipczyk <witekfl@poczta.onet.pl> d8a1a7a
- updated to 3.27.1

* Sun Jul 09 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 68e4f3f
- updated to 3.26.2

* Tue Jun 06 2017 Witold Filipczyk <witekfl@poczta.onet.pl> e097895
- updated to 3.26.1
- BR: libfilezilla-0.9.2-2, wxWidgets-3.0.3

* Sun Apr 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 0d2392f
- updated to 3.25.1

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> b4cca2f
- updated files
- rel 3

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> aaa98d3
- fix prep

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> 8d1f840
- remove oversized icons
- use macros

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> b21004e
- release 2 (by relup.sh)

* Tue Dec 06 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 7ff4dad
- updated to 3.23.0.2
- more images packaged
- /usr/share/icons/hicolor/480x480/apps is required by FileZilla

* Fri Nov 04 2016 Witold Filipczyk <witekfl@poczta.onet.pl> efdfedf
- updated to 3.22.2.2

* Tue Oct 11 2016 Witold Filipczyk <witekfl@poczta.onet.pl> e152ad7
- updated to 3.22.1

